--###### Pothelper  1.1 ##########
--#### Author: Heta DE[Maiar] ####
import "HetaPlugins.PotHelper";
if Turbine.Engine:GetLocale() == "de" then import "HetaPlugins.PotHelper.DE_BUFFS"; else import "HetaPlugins.PotHelper.EN_BUFFS"; end

function saveSettings()
    PotHelperSettings={}
	PotHelperSettings.Version = Version;	
	PotHelperSettings.Button1Status = Button1Status;
	PotHelperSettings.Button2Status = Button2Status;
	PotHelperSettings.Button3Status = Button3Status;
	PotHelperSettings.Pot1CD 		= CD1Eingabe:GetText();
	PotHelperSettings.Pot2CD 		= CD2Eingabe:GetText();
	PotHelperSettings.Pot3CD 		= CD3Eingabe:GetText();
	PotHelperSettings.Anzeigeart 	= Anzeigeart;
	PotHelperSettings.HFLinks		= HFLinks;
	PotHelperSettings.HFOben 		= HFOben;

	local shortcut1 = QS1:GetShortcut(); local shortcut2 = QS2:GetShortcut(); local shortcut3 = QS3:GetShortcut();
	PotHelperSettings.QuickSlots = {}
	PotHelperSettings.QuickSlots[1] = shortcut1:GetData();
	PotHelperSettings.QuickSlots[2] = shortcut2:GetData();
	PotHelperSettings.QuickSlots[3] = shortcut3:GetData();
	PotHelperSettings.QuickSlotsType = {}
	PotHelperSettings.QuickSlotsType[1] = shortcut1:GetType();
	PotHelperSettings.QuickSlotsType[2] = shortcut2:GetType();
	PotHelperSettings.QuickSlotsType[3] = shortcut3:GetType();
			local temp = {};
			deepcopySaveConvertInts( PotHelperSettings, temp ); PotHelperSettings = temp;			   							
			Turbine.PluginData.Save(Turbine.DataScope.Character,"PotHelper",PotHelperSettings); --speicherung
end		
function loadSettings()
 PotHelperSettings={}
 PotHelperSettings=Turbine.PluginData.Load(Turbine.DataScope.Character,"PotHelper");
		if ( type(PotHelperSettings) ~= "table" ) 
		then Grundeinstellungen()QuickSlotsErstellen()SettingsWindow()
		else
					local temp = {};			
					deepcopyLoadConvertInts( PotHelperSettings, temp ); PotHelperSettings = temp;
					Version = 				PotHelperSettings.Version;
					QuickSlots = 			PotHelperSettings.QuickSlots;  
					QuickSlotsType =		PotHelperSettings.QuickSlotsType; 
					Button1Status= 	PotHelperSettings.Button1Status;
					Button2Status= 	PotHelperSettings.Button2Status;
					Button3Status= 	PotHelperSettings.Button3Status;
					Pot1CD = PotHelperSettings.Pot1CD;
					Pot2CD = PotHelperSettings.Pot2CD;
					Pot3CD = PotHelperSettings.Pot3CD;	
					Anzeigeart = PotHelperSettings.Anzeigeart;
					HFLinks= PotHelperSettings.HFLinks;
					HFOben= PotHelperSettings.HFOben;
			end
return PotHelperSettings;
end	
function deepcopySaveConvertInts(a, b)     
					for k,v in pairs(a) do 
                        if type(v) ~= "table" then
							local l, y;
							if ( type( k ) == "number" ) then
								l = "INTEGER:" .. tostring( k );
							else l = k;	end
							if ( type( v ) == "number" ) then
								y = "INTEGER:" .. tostring( v );
								else y = v;end
                            b[l] = y;
                        else
                            local x = {}
                            deepcopySaveConvertInts(v, x)
							local l; if ( type( k ) == "number" ) then l = "INTEGER:" .. tostring( k );
							else l = k; end
							b[l] = x;
                        end       
                end
 return b; end
function deepcopyLoadConvertInts(a, b)  	
				for k,v in pairs(a) do
                        if type(v) ~= "table" then
							local l, y;
							if ( type( k ) == "string" ) then
								local temp, count = string.gsub( k, "INTEGER:", "");
								if ( count > 0 ) then
									l = tonumber( temp );
								else l = temp; end
							else l = k;
							end
							if ( type( v ) == "string" ) then
								local temp, count = string.gsub( v, "INTEGER:", "");
								if ( count > 0 ) then
									y = tonumber( temp );
								else y = temp; end
							else y = v; end
                            b[l] = y;
                        else
                            local x = {}  deepcopyLoadConvertInts(v, x);
							local l;
							if ( type( k ) == "string" ) then
								local temp, count = string.gsub( k, "INTEGER:", "");
								if ( count > 0 ) then l = tonumber( temp );
								else l = temp;
								end
							else l = k; end b[l] = x;
                        end       
                end
return b; end
function Scan()
StunnAktiv=false;RootAktiv=false;FearAktiv=false; 
   for i=1, effects:GetCount(),1 do
			EffectName=effects:Get(i):GetName() 
			for k,v in pairs(Stunns) do if string.find(EffectName, v) ~= nil then StunnAktiv = true; HF:SetWantsUpdates(true); else end end 		
			for k,v in pairs(Roots)  do if string.find(EffectName, v) ~= nil then RootAktiv = true; HF:SetWantsUpdates(true); else  end	end 			
			for k,v in pairs(Fears)  do if string.find(EffectName, v) ~= nil then FearAktiv = true; HF:SetWantsUpdates(true); else  end	end 
    end
	if StunnAktiv == false then  MausRad1=false; HF:SetVisible(false); PQS1:SetPosition(-40,0); HF:SetVisible(true);   end   --anmerkung, HF unsichtbar und danach sichtbar setzten wird bentigt um QS zu entfernen
	if RootAktiv ==  false then  MausRad2=false; HF:SetVisible(false); PQS2:SetPosition(-40,0); HF:SetVisible(true);  end
	if FearAktiv ==  false then  MausRad3=false; HF:SetVisible(false); PQS3:SetPosition(-40,0); HF:SetVisible(true);   end
	if StunnAktiv == false and RootAktiv == false and FearAktiv == false then HF:SetWantsUpdates(false); end
end

function SettingsWindow()
    EinstellungsFenster = Turbine.UI.Lotro.Window();
	EinstellungsFenster:SetWantsKeyEvents(true);
	EinstellungsFenster:SetWantsUpdates(true);
	EinstellungsFenster:SetPosition( 600, 100 );
	EinstellungsFenster:SetSize( 400, 600 );
	EinstellungsFenster:SetZOrder( 31 );
	EinstellungsFenster:SetText( "PotHelper Settings");
	EinstellungsFenster:SetVisible( true );
	
	local label9 = Turbine.UI.Label();
	label9:SetParent( EinstellungsFenster );
	label9:SetFont(Turbine.UI.Lotro.Font.TrajanPro24);
	label9:SetText( "PvP  Potion Helper" );
	label9:SetPosition( 100, 40 );
	label9:SetSize(260, 100 );
	
	--Anzeigeart
	KlasseButton = Turbine.UI.Lotro.GoldButton();
	KlasseButton:SetParent( EinstellungsFenster );
	if Anzeigeart == 1 then KlasseButton:SetText( Sprache2[1]); elseif Anzeigeart ==2 then KlasseButton:SetText( Sprache2[2]); else  KlasseButton:SetText( "Nichts Festgelegt!"); end                 
    KlasseButton:SetPosition( 70, 70 );
	KlasseButton:SetSize( 400, 30 );
    KlasseButton.Click = function( sender, args ) KlasseMenu:ShowMenu(); end
    KlasseMenu = Turbine.UI.ContextMenu();
	menuItems = KlasseMenu:GetItems();
    menuItems:Add( Turbine.UI.MenuItem(Sprache2[1]));
	menuItems:Add( Turbine.UI.MenuItem(Sprache2[2]));
       for i = 1, menuItems:GetCount() do
         local menuItem = menuItems:Get( i );
         menuItem.Click = function( sender, args )
                KlasseButton:SetText( sender:GetText() );
				if sender:GetText() == Sprache2[1] then Anzeigeart = 1; end
                if sender:GetText() == Sprache2[2] then Anzeigeart = 2; end
				Hauptfenster()
         end end
	   
	local label99 =Turbine.UI.Label();
	label99:SetParent( EinstellungsFenster );
	label99:SetBackground("HetaPlugins/PotHelper/options_panel_divider.tga");
	label99:SetBlendMode(Turbine.UI.BlendMode.AlphaBlend);
	label99:SetZOrder(-1);
	label99:SetPosition( -20, 38 );
	label99:SetSize(500, 30 );
	
	Label1 = Turbine.UI.TextBox();
	Label1:SetParent(EinstellungsFenster);
	Label1:SetMouseVisible(false);
	Label1:SetPosition(100,105);
	Label1:SetSize(300,40);
	Label1:SetText("Stunn");
	Label1:SetTextAlignment( Turbine.UI.ContentAlignment.Left );
	Label1:SetFont(Turbine.UI.Lotro.Font.Verdana23);
	
	Label2 = Turbine.UI.TextBox();
	Label2:SetParent(EinstellungsFenster);
	Label2:SetMouseVisible(false);
	Label2:SetPosition(100,157);
	Label2:SetSize(300,40);
	Label2:SetText("Root");
	Label2:SetTextAlignment( Turbine.UI.ContentAlignment.Left );
	Label2:SetFont(Turbine.UI.Lotro.Font.Verdana23);
	
	Label3 = Turbine.UI.TextBox();
	Label3:SetParent(EinstellungsFenster);
	Label3:SetMouseVisible(false);
	Label3:SetPosition(100,208);
	Label3:SetSize(300,40);
	Label3:SetText("Fear");
	Label3:SetTextAlignment( Turbine.UI.ContentAlignment.Left );
	Label3:SetFont(Turbine.UI.Lotro.Font.Verdana23);
	
	QS1:SetParent(EinstellungsFenster);
	QS1:SetPosition(50,100);
	QS1:SetSize(35, 35);
	QS1:SetVisible(true);
	
	QS2:SetParent(EinstellungsFenster);
	QS2:SetPosition(50,150);
	QS2:SetSize(35, 35);
	QS2:SetVisible(true);
	
	QS3:SetParent(EinstellungsFenster);
	QS3:SetPosition(50,200);
	QS3:SetSize(35, 35);
	QS3:SetVisible(true);
	
	Button1 = Turbine.UI.Lotro.Button();
	Button1:SetParent( EinstellungsFenster );
	if Button1Status == true then Button1:SetText("Active"); Button1:SetForeColor(Turbine.UI.Color( 0, 1, 0 ) ); else Button1:SetText("Inactive"); Button1:SetForeColor(Turbine.UI.Color( 1, 0, 0 ) ); end
	Button1:SetPosition(7,110);
	Button1:SetSize(45,30);
	Button1.Click = function( sender, args )
	if Button1Status then Button1:SetText("Inactive"); Button1:SetForeColor(Turbine.UI.Color( 1, 0, 0 ) ); Button1Status=false;
					 else  Button1:SetText("Active"); Button1:SetForeColor(Turbine.UI.Color( 0, 1, 0 ) ); Button1Status=true;
	end end
	
	Button2 = Turbine.UI.Lotro.Button();
	Button2:SetParent( EinstellungsFenster );
	if Button2Status == true then Button2:SetText("Active"); Button2:SetForeColor(Turbine.UI.Color( 0, 1, 0 ) ); else Button2:SetText("Inactive"); Button2:SetForeColor(Turbine.UI.Color( 1, 0, 0 ) ); end
	Button2:SetPosition(7,160);
	Button2:SetSize(45,30);
	Button2.Click = function( sender, args )
	if Button2Status then Button2:SetText("Inactive"); Button2:SetForeColor(Turbine.UI.Color( 1, 0, 0 ) ); Button2Status=false;
					 else  Button2:SetText("Active"); Button2:SetForeColor(Turbine.UI.Color( 0, 1, 0 ) ); Button2Status=true;
	end end
	
	Button3 = Turbine.UI.Lotro.Button();
	Button3:SetParent( EinstellungsFenster );
	if Button3Status == true then Button3:SetText("Active"); Button3:SetForeColor(Turbine.UI.Color( 0, 1, 0 ) ); else Button3:SetText("Inactive"); Button3:SetForeColor(Turbine.UI.Color( 1, 0, 0 ) ); end
	Button3:SetPosition(7,210);
	Button3:SetSize(45,30);
	Button3.Click = function( sender, args )
	if Button3Status then Button3:SetText("Inactive"); Button3:SetForeColor(Turbine.UI.Color( 1, 0, 0 ) ); Button3Status=false;
					 else  Button3:SetText("Active"); Button3:SetForeColor(Turbine.UI.Color( 0, 1, 0 ) ); Button3Status=true;
    end end
	
	CD1Eingabe = Turbine.UI.Lotro.TextBox();
	CD1Eingabe:SetParent(EinstellungsFenster);
	CD1Eingabe:SetPosition(330,105);
	CD1Eingabe:SetSize(60,25);
	CD1Eingabe:SetText(Pot1CD);
	Labell1 = Turbine.UI.TextBox();
	Labell1:SetParent(EinstellungsFenster);
	Labell1:SetMouseVisible(false);
	Labell1:SetPosition(210,105);
	Labell1:SetSize(150,40);
	Labell1:SetText("Pot-CD [sec]");
	Labell1:SetTextAlignment( Turbine.UI.ContentAlignment.Left );
	Labell1:SetFont(Turbine.UI.Lotro.Font.Verdana20);
	
	CD2Eingabe = Turbine.UI.Lotro.TextBox();
	CD2Eingabe:SetParent(EinstellungsFenster);
	CD2Eingabe:SetPosition(330,155);
	CD2Eingabe:SetSize(60,25);
	CD2Eingabe:SetText(Pot2CD);
	Labell2 = Turbine.UI.TextBox();
	Labell2:SetParent(EinstellungsFenster);
	Labell2:SetMouseVisible(false);
	Labell2:SetPosition(210,155);
	Labell2:SetSize(150,40);
	Labell2:SetText("Pot-CD [sec]");
	Labell2:SetTextAlignment( Turbine.UI.ContentAlignment.Left );
	Labell2:SetFont(Turbine.UI.Lotro.Font.Verdana20);
	
	CD3Eingabe = Turbine.UI.Lotro.TextBox();
	CD3Eingabe:SetParent(EinstellungsFenster);
	CD3Eingabe:SetPosition(330,205);
	CD3Eingabe:SetSize(60,25);
	CD3Eingabe:SetText(Pot3CD);
	Labell3 = Turbine.UI.TextBox();
	Labell3:SetParent(EinstellungsFenster);
	Labell3:SetMouseVisible(false);
	Labell3:SetPosition(210,205);
	Labell3:SetSize(150,40);
	Labell3:SetText("Pot-CD [sec]");
	Labell3:SetTextAlignment( Turbine.UI.ContentAlignment.Left );
	Labell3:SetFont(Turbine.UI.Lotro.Font.Verdana20);
	
	saveButton = Turbine.UI.Lotro.Button();
	saveButton:SetParent( EinstellungsFenster );
	saveButton:SetText("Save Settings"); 
	saveButton:SetPosition(100,550);
	saveButton:SetSize(200,40);
	saveButton.Click = function( sender, args )
	saveSettings() Hauptfenster()
	EinstellungsFenster:Close();  
	end
	
	clearBut = Turbine.UI.Lotro.Button();
	clearBut:SetParent( EinstellungsFenster );
	clearBut:SetText("Clear"); 
	clearBut:SetPosition(50,250);
	clearBut:SetSize(40,30);
	clearBut:SetForeColor(Turbine.UI.Color( 0.5, 0.5, 0 ) );
	clearBut.Click = function( sender, args )
	QS1:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Undefined, "" ) );
	QS2:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Undefined, "" ) );
	QS3:SetShortcut( Turbine.UI.Lotro.Shortcut( Turbine.UI.Lotro.ShortcutType.Undefined, "" ) );
	end
	
	textlabel = Turbine.UI.TextBox();
	textlabel:SetParent(EinstellungsFenster);
	textlabel:SetPosition(25,270);
	textlabel:SetSize(350,280);
	textlabel:SetText(Sprache[1]);
	textlabel:SetFont(Turbine.UI.Lotro.Font.Verdana16);
	
		EinstellungsFenster.KeyDown = function(sender, args)
			if ( args.Action == Turbine.UI.Lotro.Action.Escape ) 
			then Hauptfenster() EinstellungsFenster:Close();  
		end	end 
		EinstellungsFenster.Activated = function(sender, args)
		if Anzeigeart == 2 then
			HF:SetBackColor( Turbine.UI.Color(1, 1, 0, 0) );
			Ziehbar = true;
			PQS1:SetVisible(true);PQS1:SetPosition(0,0);
			PQS2:SetVisible(true);PQS2:SetPosition(40,0);
			PQS3:SetVisible(true);PQS3:SetPosition(80,0);
		end	end
		EinstellungsFenster.Closed= function(sender, args)
			HF:SetBackColor( Turbine.UI.Color(0, 0, 0, 0) );
			Ziehbar = false;
			PQS1:SetVisible(false);PQS2:SetVisible(false);PQS3:SetVisible(false);
		end
Ziehbar = false;
end

function Hauptfenster()

	HF = Turbine.UI.Window();
	HF:SetZOrder( 30 );
	HF:SetMouseVisible(false);
	HF:SetWantsKeyEvents(true);
	HF:SetVisible(true);   
	HF:SetWantsUpdates(false);

 PQS1 = Turbine.UI.Lotro.Quickslot();
 PQS1:SetParent(HF);
 PQS1:SetVisible(false);
 PQS1:SetShortcut(QS1:GetShortcut());
 PQS1:SetUseOnRightClick(false);
 PQS1.MouseClick = function(sender, args) StunnPotZeit = Turbine.Engine.GetGameTime(); PQS1:SetVisible(true); end
 
 PQS2 = Turbine.UI.Lotro.Quickslot();
 PQS2:SetParent(HF);
 PQS2:SetVisible(false);
 PQS2:SetShortcut(QS2:GetShortcut());
 PQS2:SetUseOnRightClick(false);
 PQS2.MouseClick = function(sender, args) RootPotZeit = Turbine.Engine.GetGameTime(); PQS2:SetVisible(true); end
 
 PQS3 = Turbine.UI.Lotro.Quickslot();
 PQS3:SetParent(HF);
 PQS3:SetVisible(false);
 PQS3:SetShortcut(QS3:GetShortcut());
 PQS3:SetUseOnRightClick(false);
 PQS3.MouseClick = function(sender, args) FearPotZeit = Turbine.Engine.GetGameTime(); PQS3:SetVisible(true); end

if Anzeigeart == 1 then

HF:SetPosition(0,0);
HF:SetSize(Turbine.UI.Display.GetSize());
	
 MausRad1=false;	
 PQS1:SetPosition(-40,0);
 if StunnPotZeit == nil then StunnPotZeit =0; end
 PQS1.MouseWheel = function(sender, args) MausRad1=true; PQS1:SetVisible(false); end
 
 MausRad2=false;
 PQS2:SetPosition(-40,0);
 if RootPotZeit == nil then RootPotZeit =0; end
 PQS2.MouseWheel = function(sender, args) MausRad2=true; PQS2:SetVisible(false); end
 
 MausRad3=false;
 PQS3:SetPosition(-40,0);
 if FearPotZeit == nil then FearPotZeit =0; end
 PQS3.MouseWheel = function(sender, args) MausRad3=true; PQS3:SetVisible(false); end
 
HF.Update = function(sender, args)
x,y = HF:GetMousePosition(); HF:SetVisible(false);  
			if StunnAktiv == true and Button1Status==true and (Turbine.Engine.GetGameTime() >= (StunnPotZeit+Pot1CD)) 
					then  if MausRad1 == false then PQS1:SetVisible(true); PQS1:SetPosition(x-15,y-15); else end
					else  PQS1:SetVisible(true); PQS1:SetPosition(-40,0);
			end		 
			if RootAktiv == true and Button2Status==true and (Turbine.Engine.GetGameTime() >= (RootPotZeit+Pot2CD)) 
					then if MausRad2 == false then PQS2:SetVisible(true); PQS2:SetPosition(x-15,y-15); else end
					else PQS2:SetVisible(true); PQS2:SetPosition(-40,0); 
			end			
			if FearAktiv == true and Button3Status==true and (Turbine.Engine.GetGameTime() >= (FearPotZeit+Pot3CD))
					then if MausRad3 == false then PQS3:SetVisible(true);  PQS3:SetPosition(x-15,y-15); else end
					else PQS3:SetVisible(true);  PQS3:SetPosition(-40,0);
			end								 
HF:SetVisible(true);
end end

if Anzeigeart == 2  then

HF:SetPosition(HFLinks,HFOben);
HF:SetSize(200,40);
HF:SetBackColor( Turbine.UI.Color(0, 0, 0, 0) );
HF:SetMouseVisible(true);
HF.MouseDown = function(sender,args)
if Ziehbar then 
	if ( args.Button == Turbine.UI.MouseButton.Left ) then
		HF.dragStartX = args.X; HF.dragStartY = args.Y;
		HF.dragging = true;	
	end
end	end
HF.MouseMove = function(sender,args)
	local left, top = HF:GetPosition();
	if (HF.dragging ) then
		HF:SetBackColor( Turbine.UI.Color( 0, 1, 0 ) );
		HF:SetPosition( left + ( args.X - HF.dragStartX ), top + ( args.Y - HF.dragStartY ) );
		HFLinks = left + ( args.X - HF.dragStartX); HFOben =  top + ( args.Y - HF.dragStartY );
end end
HF.MouseUp = function (sender,args)
if Ziehbar then
	if ( args.Button == Turbine.UI.MouseButton.Left ) then
	HF:SetBackColor( Turbine.UI.Color(1, 1, 0, 0) );
	saveSettings()
	HF.dragging = false;
end end	end
	
 PQS1:SetPosition(0,0);
 if StunnPotZeit == nil then StunnPotZeit =0; end

 PQS2:SetPosition(40,0);
 if RootPotZeit == nil then RootPotZeit =0; end
  
 PQS3:SetPosition(80,0);
 if FearPotZeit == nil then FearPotZeit =0; end

HF.Update = function(sender, args)
HF:SetVisible(false);  
			if StunnAktiv == true and Button1Status==true and (Turbine.Engine.GetGameTime() >= (StunnPotZeit+Pot1CD)) 
					then  PQS1:SetVisible(true);PQS1:SetPosition(0,0);
					else  PQS1:SetVisible(false);
			end		 
			if RootAktiv == true and Button2Status==true and (Turbine.Engine.GetGameTime() >= (RootPotZeit+Pot2CD)) 
					then PQS2:SetVisible(true);PQS2:SetPosition(40,0);
					else PQS2:SetVisible(false);
			end			
			if FearAktiv == true and Button3Status==true and (Turbine.Engine.GetGameTime() >= (FearPotZeit+Pot3CD))
					then PQS3:SetVisible(true); PQS3:SetPosition(80,0);
					else PQS3:SetVisible(false); 
			end								 
HF:SetVisible(true);
end 
else end
end

function Grundeinstellungen()
Version = 1.1;
QuickSlots={} QuickSlotsType={}
Button1Status = true;Button2Status = false;Button3Status = false;
Pot1CD = 120;Pot2CD = 120;Pot3CD = 120;
Anzeigeart = 1;
HFLinks = 200; HFOben = 200;
end

function QuickSlotsErstellen()
 QS1 = Turbine.UI.Lotro.Quickslot();QS2 = Turbine.UI.Lotro.Quickslot();QS3 = Turbine.UI.Lotro.Quickslot();
		if ( pcall( QSFllen, QS1,QuickSlotsType[1],QuickSlots[1]) == false ) 
		then QS1:SetShortcut( Turbine.UI.Lotro.Shortcut( 0, "" ) ); 
		else QSFllen(QS1,QuickSlotsType[1],QuickSlots[1]);end
		if ( pcall( QSFllen, QS2,QuickSlotsType[2],QuickSlots[2]) == false ) 
		then QS2:SetShortcut( Turbine.UI.Lotro.Shortcut( 0, "" ) );
		else QSFllen(QS2,QuickSlotsType[2],QuickSlots[2]);end	
		if ( pcall( QSFllen, QS3,QuickSlotsType[3],QuickSlots[3]) == false ) 
		then QS3:SetShortcut( Turbine.UI.Lotro.Shortcut( 0, "" ) );
		else QSFllen(QS3,QuickSlotsType[3],QuickSlots[3]);end 
end
function QSFllen(QS,QST,QSs)
	if QSs ~= "" then QS:SetShortcut( Turbine.UI.Lotro.Shortcut(QST,QSs )); else QS:SetShortcut( Turbine.UI.Lotro.Shortcut( 0, "" ) ); end
end

loadSettings() QuickSlotsErstellen() Hauptfenster()
player=Turbine.Gameplay.LocalPlayer.GetInstance();  effects = player:GetEffects();							
if Turbine.Engine:GetLocale() == "de" then Turbine.Shell.WriteLine( "<rgb=#00FF00>Pot Helper v"..Version.." erfolgreich geladen!"); else Turbine.Shell.WriteLine( "<rgb=#00FF00>Pot Helper v"..Version.." successfully loaded!"); end

effects.EffectAdded = function(sender, args)   Scan() end
effects.EffectRemoved = function(sender, args) Scan() end
effects.EffectsCleared = function(sender,args) Scan() end

shellCommand1 = Turbine.ShellCommand()
function shellCommand1:Execute(command, arguments) SettingsWindow() end
Turbine.Shell.AddCommand('PH;PotHelper;PHhelp;PHHilfe', shellCommand1)